## ifrench-gut 1.0

=== debian/changelog ===
ifrench-gut (1:1.0-32.3) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007299)
  * d/copyright: Convert to machine-readable format
  * README.source: Drop outdated dpatch info

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 08:40:16 +0200

ifrench-gut (1:1.0-32.2) unstable; urgency=medium

  * Non maintainer upload with maintainer agreement.
  * Migrate myspell affix file generation from myspell-tools to
    hunspell-tools ispellaff2myspell (Closes: #1006132).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 01 Mar 2022 11:07:15 +0100

ifrench-gut (1:1.0-32.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Dec 2020 17:45:53 +0100

ifrench-gut (1:1.0-32) unstable; urgency=medium

  * Upgrade to debhelper compat level 10
  * mark myspell-fr-gut as "Multi-Arch: foreign"
  * correctly separate -arch and -indep targets (Closes: #845062).
  * add "inféodation" (Closes: #824103).
  * Bump up Standards-Version to 3.9.8
  * Really make fourth column of PFX/SFX longer (really Closes: #660691).

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 20 Nov 2016 09:42:06 +0100

ifrench-gut (1:1.0-31) unstable; urgency=low

  * make fourth column of PFX/SFX longer (closes: #660691)
  * make build locale-independent (closes: #795581)

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 15 Aug 2015 16:54:57 +0200

ifrench-gut (1:1.0-30) unstable; urgency=low

  * joignable is not math-specific
  * Add `injoignable' (Closes: #631090).
  * Various lintian warnings
  * Bump up Standards-Version to 3.9.2

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 28 Jul 2011 13:08:27 +0200

ifrench-gut (1:1.0-29) unstable; urgency=low

  * Recompile with newer dictionaries-common-dev in preparation for
    backwards-incompatible change (closes: #629088)

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 03 Jun 2011 14:59:57 +0200

ifrench-gut (1:1.0-28) unstable; urgency=low

  * Upstream homepage is gone
  * Bump up Standars-Version to 3.9.1
  * Migrate to new ispell format (version >= 3.3.02)
  * Add ${misc:Depends}

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 30 Mar 2011 12:06:45 +0200

ifrench-gut (1:1.0-27) unstable; urgency=low

  * Add "su" (participe passé de savoir)
  * Go to debhelper compat level 7
  * Bump up Standards-Version to 3.8.3

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 02 Dec 2009 17:46:56 +0100

ifrench-gut (1:1.0-26.1) unstable; urgency=low

  * Non-maintainer upload.
  * move dicts into /usr/share/hunspell and add compat symlinks from
    /usr/share/myspell/dicts (closes: #541929)

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Sep 2009 19:55:30 +0200

ifrench-gut (1:1.0-26) unstable; urgency=low

  * Create a "belgicismes" dictionary (closes: #469677)
  * adapt to new requirements by OpenOffice 3 (closes: #517786)

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 12 Jul 2009 22:13:02 +0200

ifrench-gut (1:1.0-25) unstable; urgency=low

  * Install documentation in standard location (closes: #513898)
  * Update watch file to actually working one
  * Bump up Standards-Version to 3.8.0

 -- Lionel Elie Mamane <lmamane@debian.org>  Tue, 03 Feb 2009 16:39:57 +0100

ifrench-gut (1:1.0-24) unstable; urgency=low

  * Fix bashism in debian/rules (closes: #478396)

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 23 May 2008 09:47:54 +0200

ifrench-gut (1:1.0-23) unstable; urgency=low

  * Tell myspell to use this dictionary for fr_CH and fr_LU, too
    (closes: #469629)

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 06 Mar 2008 15:39:46 +0100

ifrench-gut (1:1.0-22) unstable; urgency=low

  * 'finals' is the "most" correct form after all, 'finaux' is a
    tolerated variant.
  * remove --no-elanguages from instelldeb-ispell, it is about to be
    removed.

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 18 Feb 2008 23:32:09 +0100

ifrench-gut (1:1.0-21) unstable; urgency=low

  * Declare in info-ispell that dictionaries are ISO-8859-15.

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 18 Feb 2008 19:35:16 +0100

ifrench-gut (1:1.0-20) unstable; urgency=low

  * adopt package (closes: #464326)
  * add 'batave' with s plural to non-verbes (closes: #396168)
  * accept 'dé' prefix for 'saturer' and 'saturation'
    'final' has plural 'finaux', not 'finals'
    add 'interstitielle'
    add 'refoulante'
    add 'expiratoire'
    add 'inspiratoire'                                (closes: #302249)
  * add 'horodatage'
    accept d' prefix before 'apparenter'
    add 'finaliser'                                   (closes: #347779)
  * Bump up Standards-Version to 3.7.3
  * Update Homepage to Gutenberg one (old one doesn't exist anymore), and
    make it a field, not pseudo-field.
  * Move debhelper compat level to debian/compat instead of DH_COMPAT

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 18 Feb 2008 19:07:32 +0100

ifrench-gut (1:1.0-19.1) unstable; urgency=low

  * NMU
  * build-depend on myspell-tools (closes: #426540)

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Jul 2007 16:57:42 +0200

ifrench-gut (1:1.0-19) unstable; urgency=low

  * Updated upstream URL (closes: #406413)
  * Switched to debhelper 5

 -- Nicolas Sabouret <nico@debian.org>  Tue, 30 Jan 2007 16:35:46 +0100

ifrench-gut (1:1.0-18) unstable; urgency=low

  * Changed priority to optional
  * Fix affix files (closes: #283672, #308858)
    Thanks to Guillaume Pernot for his patch

 -- Nicolas Sabouret <nico@debian.org>  Sat, 14 May 2005 22:51:48 +0200

ifrench-gut (1:1.0-17) unstable; urgency=low

  * Really moved myspell to indep and only indep (closes: #259962, #262969) 

 -- Nicolas Sabouret <nico@debian.org>  Thu, 26 Aug 2004 13:31:53 +0200

ifrench-gut (1:1.0-16) unstable; urgency=low

  * Switch to ISO-8859-15 (aka latin9, aka latin0)
    Thanks to Lionel Elie Mamane for his help

