=== debian/control ===
Source: ifrench-gut
Maintainer: Lionel Elie Mamane <lmamane@debian.org>
Section: text
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>> 10), ispell (>= 3.3.02), dictionaries-common-dev (>= 1.10.5), hunspell-tools
#Homepage: http://www.gutenberg.eu.org/distributions/rubrique9.html

Package: ifrench-gut
Architecture: any
Depends: ispell (>= 3.3.02), dictionaries-common (>=0.20), debconf (>= 0.5) | debconf-2.0, ${misc:Depends}
Suggests: wfrench
Provides: ispell-dictionary
Conflicts: ifrench
Description: French dictionary for ispell (GUTenberg version)
 This is a French dictionary, to be used with the ispell program,
 version 3.1.20 and following.
 .
 This is the GUTenberg version.

Package: myspell-fr-gut
Architecture: all
Multi-Arch: foreign
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts, ${misc:Depends}
Conflicts: openoffice.org (<= 1.0.3-2), openoffice.org-spellcheck-fr-fr, myspell-fr, myspell-fr-fr
Provides: myspell-dictionary, myspell-dictionary-fr, openoffice.org-spellcheck-fr-fr, myspell-fr-fr
Replaces: openoffice.org-spellcheck-fr-fr, myspell-fr-fr
Description: French dictionary for myspell (GUTenberg version)
 This is a French dictionary, to be used with myspell.
 .
 This is the GUTenberg version.
