=== debian/watch ===
version=3
http://www.gutenberg.eu.org/distributions/6-francais-gutenberg.html /IMG/gz/francais-gutenberg-v([\d\.]*).tar.gz debian uupdate
